unit frxFileSignatureErrorDialog;

interface

{$I frx.inc}

uses
{$IFNDEF FPC}
  Windows, Messages,
{$ELSE}
  LCLType, LCLIntf, LCLProc, LazHelper, ColorBox,
{$ENDIF}
  SysUtils, Classes, Controls, Forms, Dialogs, StdCtrls,
  frxBaseForm, frxHelpers, frxFileSignature
{$IFDEF FPC}
  , EditBtn
{$ENDIF};

type
  TfrxFileSignatureErrorDialog = class(TfrxBaseForm)
    btnOk: TButton;
    btnCancel: TButton;
    cbSaveLog: TCheckBox;
    lblDescription: TLabel;
    btnIgnore: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    FDebugLog: TLogList;

    function IsHaveLog: Boolean;
    function IsGetLogFileName(out FileName: TFileName): boolean;
  public
    procedure UpdateResouces; override;

    property DebugLog: TLogList write FDebugLog;
  end;

function FileSignatureErrorDialog(FileSignature: TfrxFileSignature;
  Buttons: TMsgDlgButtons): TModalResult;

implementation
end.
