{******************************************}
{                                          }
{             FastReport VCL               }
{             support Mutex                }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxMutex;

interface

uses
{$IFNDEF Linux}
  Windows
{$ELSE}
  frxMutex_Linux
{$ENDIF};
type
  TfrxMutex = class
  private
  {$IFNDEF Linux}
    crit: THandle;
  {$ELSE}
    Sem: TfrxSemafor;
  {$ENDIF}
  public
    constructor Create(skey: String);
    destructor Destroy; override;
    procedure Lock;
    procedure Unlock;
  end;

implementation
end.
