
{******************************************}
{                                          }
{             FastReport VCL               }
{                SVG Path                  }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{******************************************}
{ with using SVG-Library of Martin Walter  }
{******************************************}

unit frxSVGPath;

interface

{$I frx.inc}

uses
  Classes,
  frxSVGCanvas, frxSVGHelpers, frxSVGBase, frxSVGElement;

type
  Tel_path = class(TSVGBaseObj)
  private
    FObjBounds: TSingleBounds;
  protected
    function New(Parent: TSVGElementObj): TSVGElementObj; override;
    procedure ConstructPath; override;
  public
    constructor Create; override;
  end;

procedure ParsePath(const S: string; FPathObj: TSVGElementObj);

implementation
end.
